## org.eclipse.m2m.atl.engine.vm
Class PluginClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  org.eclipse.m2m.atl.engine.vm.PluginClassLoader

    public class PluginClassLoader

extends java.net.URLClassLoader

A basic plugin facillity used in command-line. Eclipse plugins are used within Eclipse.

Constructor Summary
`PluginClassLoader(java.util.List locations)`

Method Summary
`void` `addLocation(java.lang.String location)`

Methods inherited from class java.net.URLClassLoader
`addURL, definePackage, findClass, findResource, findResources, getPermissions, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass, defineClass`

Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginClassLoader

    public PluginClassLoader(java.util.List locations)

Method Detail

### addLocation

    public void addLocation(java.lang.String location)

Copyright 2007 IBM Corporation and others. All Rights Reserved.